Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz.collections
Class ToolkitDSHolder

    java.lang.Object
      org.terracotta.quartz.collections.ToolkitDSHolder

    public class ToolkitDSHolder

extends Object

How JOBS mappings will look?
JobKey(name, groupname) -> JobWrapper
groupName -> List
List -> allGroupNames

Field Summary
`protected Toolkit` | `toolkit`

Constructor Summary
`ToolkitDSHolder(String jobStoreName, Toolkit toolkit)`

Method Summary
`protected String` | `generateName(String prefix)`
`ToolkitLock` | `getLock(ToolkitLockTypeInternal lockType)`
`Set<String>` | `getOrCreateAllGroupsSet()`
`Set<String>` | `getOrCreateAllTriggersGroupsSet()`
`Set<JobKey>` | `getOrCreateBlockedJobsSet()`
`` | `getOrCreateCalendarWrapperMap()`
`` | `getOrCreateFiredTriggersMap()`
`Set<String>` | `getOrCreateJobsGroupMap(String name)`
`SerializedToolkitStore<JobKey,JobWrapper>` | `getOrCreateJobsMap()`
`Set<String>` | `getOrCreatePausedGroupsSet()`
`Set<String>` | `getOrCreatePausedTriggerGroupsSet()`
`TimeTriggerSet` | `getOrCreateTimeTriggerSet()`
`Set<String>` | `getOrCreateTriggersGroupMap(String name)`
`SerializedToolkitStore<TriggerKey,TriggerWrapper>` | `getOrCreateTriggersMap()`
`void` | `removeJobsGroupMap(String name)`
`void` | `removeTriggersGroupMap(String name)`
`protected` | `toolkitMap(String nameOfMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toolkit

    protected final Toolkit toolkit

Constructor Detail

### ToolkitDSHolder

    public ToolkitDSHolder(String jobStoreName,
                           Toolkit toolkit)

Method Detail

### generateName

    protected final String generateName(String prefix)

### getOrCreateJobsMap

    public SerializedToolkitStore<JobKey,JobWrapper> getOrCreateJobsMap()

### toolkitMap

    protected  toolkitMap(String nameOfMap)

### getOrCreateTriggersMap

    public SerializedToolkitStore<TriggerKey,TriggerWrapper> getOrCreateTriggersMap()

### getOrCreateFiredTriggersMap

    public  getOrCreateFiredTriggersMap()

### getOrCreateCalendarWrapperMap

    public  getOrCreateCalendarWrapperMap()

### getOrCreateAllGroupsSet

    public Set<String> getOrCreateAllGroupsSet()

### getOrCreateBlockedJobsSet

    public Set<JobKey> getOrCreateBlockedJobsSet()

### getOrCreatePausedGroupsSet

    public Set<String> getOrCreatePausedGroupsSet()

### getOrCreatePausedTriggerGroupsSet

    public Set<String> getOrCreatePausedTriggerGroupsSet()

### getOrCreateJobsGroupMap

    public Set<String> getOrCreateJobsGroupMap(String name)

### removeJobsGroupMap

    public void removeJobsGroupMap(String name)

### getOrCreateTriggersGroupMap

    public Set<String> getOrCreateTriggersGroupMap(String name)

### removeTriggersGroupMap

    public void removeTriggersGroupMap(String name)

### getOrCreateAllTriggersGroupsSet

    public Set<String> getOrCreateAllTriggersGroupsSet()

### getOrCreateTimeTriggerSet

    public TimeTriggerSet getOrCreateTimeTriggerSet()

### getLock

    public ToolkitLock getLock(ToolkitLockTypeInternal lockType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.